# Class BirthdateAdapter

java.lang.Object
com.google.gson.TypeAdapter<Date>
com.ryanharter.auto.value.gson.example.BirthdateAdapter

public class BirthdateAdapter extends com.google.gson.TypeAdapter<Date>

## Constructor Summary

Constructors
Constructor
Description
`BirthdateAdapter()`

## Method Summary

Modifier and Type
Method
Description
`Date`
`read(com.google.gson.stream.JsonReader in)`
`void`
`write(com.google.gson.stream.JsonWriter out, Date value)`

### Methods inherited from class com.google.gson.TypeAdapter

`fromJson, fromJson, fromJsonTree, nullSafe, toJson, toJson, toJsonTree`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BirthdateAdapter

public BirthdateAdapter()

## Method Details

### write

public void write(com.google.gson.stream.JsonWriter out, Date value) throws IOException

Specified by:
  `write` in class `com.google.gson.TypeAdapter<Date>`
Throws:
  `IOException`

### read

public Date read(com.google.gson.stream.JsonReader in) throws IOException

Specified by:
  `read` in class `com.google.gson.TypeAdapter<Date>`
Throws:
  `IOException`